Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::stride_fn Struct Reference
Inheritance diagram for ranges::views::stride_fn:

## Synopsis of methods
constexpr stride_fn | stride {}

## Public Member Functions
template<typename Difference >
constexpr auto | operator() (Difference step) const
Public Member Functions inherited from ranges::views::stride_base_fn
template<typename Rng >
constexpr stride_view< all_t< Rng > > | operator() (Rng &&rng, range_difference_t< Rng > step) const

## Member Function Documentation

## ◆ operator()()

template<typename Difference >

constexpr auto ranges::views::stride_fn::operator() | ( | Difference | step | ) | const
| constexpr

Precondition
  requires `detail::integer_like_<Difference>`